This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478421 - f-spot / nautilus metadata problem with picture with an "&" in a tag
f-spot / nautilus metadata problem with picture with an "&" in a tag
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 16:07 EST by Federico Pedemonte
Modified: 2009-12-18 02:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:25:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Pedemonte 2008-12-29 16:07:41 EST
Description of problem:

Exported pictures tagged with a tag containing an "&" in the name causes problems in metadata.


Version-Release number of selected component (if applicable):

f-spot version 0.4.4-6.fc10

How reproducible:

always

Steps to Reproduce:
1.Choose a picture in your f-spot library. Make sure it has some tags, and make sure that tags name doesn't contains the character "&"
2.Export the picture to a folder (menu Photo -> Export to -> Folder)
3.Right click on the file with nautilus, click on properties and then click on the "image" tab. You'll see all the pictures metadata
4.Go back to f-spot, create a tag with the "&" character in the name.
5.Add the tag to the same picture of step 1, and export it again
6.Repeat the step 3, and instead of the pic info you'll see "loading..."  and nothing more

Additional info:

The same problem seems to exists with more recent version of f-spot too.
Comment 1 Federico Pedemonte 2008-12-30 02:55:27 EST
I forgot to mention that, in order to reproduce this bug you must:

1) have "write metadata to file" checked in the f-spot preferences panel (before adding the tags)

2) export pictures with the "export file only" export method
Comment 2 Bug Zapper 2009-11-18 07:42:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:25:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.